# Interface WriteBuffer.Sink

Enclosing class:
  `WriteBuffer`

public static interface WriteBuffer.Sink
Interface implemented by clients of the WriteBuffer to enable data to be written back out from the buffer.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`writeFromBuffer(ByteBuffer buffer, boolean block)`
Writes data from a ByteBuffer to the underlying output.

## Method Details

### writeFromBuffer

boolean writeFromBuffer(ByteBuffer buffer, boolean block) throws IOException
Writes data from a ByteBuffer to the underlying output.

Parameters:
  `buffer` - The buffer to write from
  `block` - Whether to use blocking writes
Returns:
  `true` if data is left unwritten, `false` otherwise
Throws:
  `IOException` - If an I/O error occurs